Tag Archives: Digidesign

Digital Audio Interfaces, Drivers and Compatibility with OSX 10.9 Mavericks

PLEASE NOTE: this is my own independent research, so please verify with trusted sources. Please send any corrections/additions to my contact email. Last update: 150215-1100.

I’ve started a list of current digital audio interface drivers and their currently supported Apple operating systems, including OSX Mavericks.

Digital Audio Interfaces – Currently-Supported

  • Avid third generation Mbox Family products (Mbox Mini, Mbox, Mbox Pro):  Mac driver 1.1.2 adds Mountain Lion support; 1.2.0 added support for Pro Tools 10.3 – Pro Tools 11; 1.2.2 was the last driver version before 10.9 support; 1.3 specifies Mac OS X 10.9 Mavericks support onlyNote: Mac OS X 10.9.1 Mavericks is NOT approved at this time.  Requires Pro Tools 11.0.3 or higher.  The meaning of the driver version 1.3 declaration seems to suggest that the driver ONLY works for OSX 10.9.0 (no other previous OSX) and NOT 10.9.1 (ie. the usual “new OS versions not approved until tested”); and that versions of Pro Tools before 11.0.3 will not be compatible with this driver.  All of this suggests sticking with 1.2.2 until you’re ready to use Pro Tools 11.0.3.  It also suggests that Mbox users will not be allowed to enjoy Mavericks and Pro Tools 10 simultaneously.  Users may bear some software upgrade expense, generally, moving from Mountain Lion to Mavericks, and a forced upgrade of Pro Tools will be a welcome addition to that outlay.  Pro Tools users not ready for Pro Tools 11 (plug-in upgrades, etc) will want to wait on the Mavericks upgrade.  Finally, users of older Digidesign-branded hardware may experience some frustration with abandoned drivers, not updated to Mavericks.  It all points to spending more money on both hardware and software, or sticking with OSX 10.6-10.8, Pro Tools 9 and older hardware.
  • Avid Pro Tools 11 Approved Audio Interfaces and Peripherals
  • Apogee Electronics – Symphony I/O – [√] Support page features specific driver update for OSX 10.9 Mavericks.
  • Universal Audio – Apollo A16 – I’m seeing 10.8 support but not 10.9
  • Universal Audio – Apollo Twin is fully qualified with Mac OS X 10.9 Mavericks.
  • Universal Audio – Preliminary testing with UAD v7.4.0 (and v7.4.1 Public Beta for Mac) indicates no significant issues with current UAD-2 and Apollo products under Mavericks, however [these issues] have been identified. Mavericks will be fully qualified in a future release.
  • Universal Audio – UAD Product Compatibility with Apple Mac Computers
  • RME – FireWire Interfaces – Mac OS X Intel driver for Fireface 400, 800, UCX, UFX, version 3.19. Compatible to OS 10.6 and up, 32/64 bit. This driver requires firmware 1.70 (FF 400) and 2.77 (FF 800) or higher.  Updated November 4, 2013.
  • MOTU universal audio installer – [√] all audio products including legacy products supported on Mac OS X 10.6, 10.7, 10.8 and 10.9
  • Echo Audio: visit their support page for Mac OSX

Digital Audio Interfaces – Legacy

  • Digidesign MBox2 Pro – driver build 78630 claims to cover OSX 10.9 Mavericks and supports ProTools 10.3.3 – ProTools 11.  Note:  the following dubious information is listed on the Avid site:  “Support for Mac OS X 10.9 (Mavericks) – note that uninstalling requires manually deleting files“.  Here is the list of files to manually uninstall.  The files installed by my own attempt were different than listed.  I’ve personally been installing a bunch of new things in 10.9.1 and have had some crashes which seem related to this driver.